%{?nodejs_find_provides_and_requires}

%global packagename sort-keys

# tests missing due to missing npm(ava)
%global enable_tests 0

Name:		nodejs-sort-keys
Version:	1.1.2
Release:	1%{?dist}
Summary:	Sort the keys of an object

License:	MIT
URL:		https://github.com/sindresorhus/sort-keys
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
Source1:	https://raw.githubusercontent.com/sindresorhus/sort-keys/v%{version}/test.js

ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
BuildRequires:	npm(is-plain-obj)
%if 0%{?enable_tests}
BuildRequires:	npm(ava)
%endif

%description
Sort the keys of an object


%prep
%autosetup -n package
# setup the tests
cp -p %{SOURCE1} .

%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json index.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/ava
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%doc readme.md
%license license
%{nodejs_sitelib}/%{packagename}

%changelog
* Thu Apr 20 2017 Jared Smith <jsmith@fedoraproject.org> - 1.1.2-1
- Initial packaging
